## NOTE nonfree only
#
%define piname	s63_pi

Name:		opencpn-s63-plugin
Summary:	Plugin for OpenCpn allowing the use of encrypted charts
Version:	1.19.0
Release:	%mkrel 1
License:	GPLv2
# Permission to distribute the binaries is in the README
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/s63.html
Source0:	https://github.com/bdbcat/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz


BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
S-63 is the encrypted distribution format for S-57 vector charts.

Today, hydrographical offices all over the world are producing their official
vector charts in the S-57 format.

Distribution is done under the S-63 standard.

This plugin allows you to download and install charts you have purchased from
http://o-charts.org/

To use the encrypted charts, you must get a license for your particular machine
(called a Permit), make sure to visit http://o-charts.org/ for more information
and to get the permits.

This package is only available in the nonfree repository as it contains
pre-built binaries.

%prep
%autosetup -p1 -n %{piname}-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64
cp -r %{_builddir}/%{piname}-%{version}/buildlinux64/OCPNsenc/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%ifarch i586
cp -r %{_builddir}/%{piname}-%{version}/buildlinux/OCPNsenc/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%ifarch armv7hl
cp -r %{_builddir}/%{piname}-%{version}/buildlinuxarm/OCPNsenc/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%ifarch aarch64
cp -r %{_builddir}/%{piname}-%{version}/buildlinuxarm64/OCPNsenc/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%files -f opencpn-%{piname}.lang
%doc README
%{_bindir}/*
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Tue May 30 2023 philippedidier <philippedidier> 1.19.0-1.mga9
+ Revision: 1959947
- new version 1.19.0 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 1.17.13-2.mga9.nonfree
+ Revision: 1868278
- New version 1.17.13

* Fri Apr 15 2022 umeabot <umeabot> 1.17.6-2.mga9.nonfree
+ Revision: 1850467
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 philippedidier <philippedidier> 1.17.6-1.mga9.nonfree
+ Revision: 1743748
- update OCPNsenc utility to v 1.41

* Mon Jul 12 2021 barjac <barjac> 1.17.1-3.mga9.nonfree
+ Revision: 1735761
- Build with wxgtku3.0 not 3.1

* Sat Jun 26 2021 barjac <barjac> 1.17.1-2.2.mga9.nonfree
+ Revision: 1733892
-use wxgtku3.1-devel BR
- manually copy nonfree binary blobs from sources as CMakeLists.txt fails to do it

* Tue Jun 22 2021 barjac <barjac> 1.17.1-1.mga9.nonfree
+ Revision: 1731663
- new version 1.17.1
- now with permission to distribute in README
- added script to generate tarball as there are no releases in github

* Thu Jun 02 2016 daviddavid <daviddavid> 1.4-3.mga6
+ Revision: 1019835
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.4-2.mga6
+ Revision: 962342
- changed buildrequire wxgtku3.0

* Tue Feb 09 2016 barjac <barjac> 1.4-1.mga6
+ Revision: 951001
- new version 1.4

* Tue Dec 08 2015 barjac <barjac> 1.2-1.mga6
+ Revision: 908782
- new package opencpn-s63-plugin

